Page MenuHomeFreeBSD

Turn readline into an internallib
ClosedPublic

Authored by bapt on Jul 5 2014, 6:16 PM.

Details

Summary

Turn readline into an internallib for gdb

Diff Detail

Repository
rS FreeBSD src repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

bapt updated this revision to Diff 612.Jul 5 2014, 6:16 PM
bapt retitled this revision from to Turn readline into an internallib.
bapt updated this object.
bapt edited the test plan for this revision. (Show Details)
bapt added a reviewer: emaste.
bapt updated this revision to Diff 613.Jul 5 2014, 6:18 PM

Add manpage as obsolete files

bapt updated this revision to Diff 614.Jul 5 2014, 6:22 PM

Add libhistory to obsolete files

imp edited edge metadata.Jul 6 2014, 5:41 PM

This looks good to me, but I'm not entirely sure this is the right way to do this, but I can't offer a constructive comment on how to make it better.

theraven edited edge metadata.Jul 6 2014, 5:44 PM

If gdb is the only in-tree consumer of libreadline, can we just statically link it into gdb and remove the .so entirely?

bapt added a comment.Jul 6 2014, 9:16 PM

@theraven that is what this patch does ;)
@imp yup I could not find a better way either

Or, right, sorry. I misunderstood and thought it was being moved into private. Reading it a bit more carefully, it looks fine.

emaste edited edge metadata.Jul 7 2014, 11:32 AM

Can you add the UPADTING entry in here too? This passed an exp run already, correct?

Be sure to highlight reasons for removing it in the commit message - e.g., having ports use readline from ports allows it to be kept up-to-date. Specifically, it's not just because of the GPL that it's being removed.

ObsoleteFiles.inc
42

OLD_LIBS=

49

OLD_LIBS=

emaste added a comment.Jul 7 2014, 2:26 PM

Here's my take:

20140707:
        The GNU readline library is now an INTERNALLIB - that is, it is
        statically linked into consumers (GDB and variants) in the base
        system, and the shared library is no longer installed.  The
        devel/readline port is available for third party software that
        requires readline.
bapt updated this revision to Diff 646.Jul 9 2014, 9:05 AM
bapt edited edge metadata.

Add UPDATING and Fix the obsolete file

emaste accepted this revision.Jul 9 2014, 3:40 PM
emaste edited edge metadata.
This revision is now accepted and ready to land.Jul 9 2014, 3:40 PM
bapt closed this revision.Jul 9 2014, 3:53 PM

Committed in rS268461